;;; ~/.doom.d/config.el -*- lexical-binding: t; -*-

;; Use "," as leader.
(setq doom-localleader-key ",")

;; Firacode is broken with Emacs-plus on osx. Fallback to Hasklig
(setq doom-font (font-spec :family "Hasklig" :size 12)
      doom-variable-pitch-font (font-spec :family "ETbembo"  :size 16)
      doom-big-font (font-spec :family "Hasklig" :size 16))

;; Set font
(pcase (system-name)
  ("zuk"
   ;; Wayland support for high HDPI scaling has some issues.
   ;; Increasing the font size is a working stopgap.
   (font-put doom-font :size 15))
)

;; Use an image splash
(setq fancy-splash-image (concat doom-private-dir "doom.png"))

(load! "+mail")
(load! "+org")
(load! "+company")
(load! "+modeline")
(load! "+window")
